org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans

## Class GetPolicies

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans.GetPolicies

-     public class GetPolicies
      extends Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="client" type="{http://schemas.microsoft
               .com/windows/pki/2009/01/enrollmentpolicy}Client"/>
               <element name="requestFilter" type="{http://schemas.microsoft
               .com/windows/pki/2009/01/enrollmentpolicy}RequestFilter"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Client` | `client`
    `protected RequestFilter` | `requestFilter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetPolicies()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Client` | `getClient()` Gets the value of the client property.
    `RequestFilter` | `getRequestFilter()` Gets the value of the requestFilter property.
    `void` | `setClient(Client value)` Sets the value of the client property.
    `void` | `setRequestFilter(RequestFilter value)` Sets the value of the requestFilter property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### client

          protected Client client

    - #### requestFilter

          protected RequestFilter requestFilter

  - ### Constructor Detail

    - #### GetPolicies

          public GetPolicies()

  - ### Method Detail

    - #### getClient

          public Client getClient()

      Gets the value of the client property.
      Returns:
        possible object is `Client`

    - #### setClient

          public void setClient(Client value)

      Sets the value of the client property.
      Parameters:
        `value` - allowed object is `Client`

    - #### getRequestFilter

          public RequestFilter getRequestFilter()

      Gets the value of the requestFilter property.
      Returns:
        possible object is `RequestFilter`

    - #### setRequestFilter

          public void setRequestFilter(RequestFilter value)

      Sets the value of the requestFilter property.
      Parameters:
        `value` - allowed object is `RequestFilter`

Copyright © 2017 WSO2. All rights reserved.